Too many things were called "BEX".
+++ /dev/null
-# Configuration of the Batch EXecutor
-# This is a Perl script, which can set anything in the BEX::Config package
-
-package BEX::Config;
-
-%machines = (
- 'albireo' => { 'Host' => 'albireo.burrow.ucw.cz' },
- 'localhost' => {},
- 'home' => ['albireo', 'localhost'],
-);
-
-42;
+++ /dev/null
-# BEX epilog
+++ /dev/null
-#!/bin/sh
-# BEX prolog
-set -e
if (!-d $bex_home) {
die "BEX home directory $bex_home does not exist.\n";
}
-if (!-d "$bex_home/BEX") {
- die "BEX home directory $bex_home does not contain the BEX subdirectory.\n";
+if (!-d "$bex_home/cf") {
+ die "BEX home directory $bex_home does not contain the cf subdirectory.\n";
}
if (!-f "$bex_lib/perl/BEX.pm") {
die "BEX library directory $bex_lib misconfigured.\n";
--- /dev/null
+# Configuration of the Batch EXecutor
+# This is a Perl script, which can set anything in the BEX::Config package
+
+package BEX::Config;
+
+%machines = (
+ 'albireo' => { 'Host' => 'albireo.burrow.ucw.cz' },
+ 'localhost' => {},
+ 'home' => ['albireo', 'localhost'],
+);
+
+42;
--- /dev/null
+# BEX epilog
--- /dev/null
+#!/bin/sh
+# BEX prolog
+set -e
our $home = $ENV{"BEX_HOME"} // ".";
# Configuration directory
-our $cf_dir = $home . "/BEX";
+our $cf_dir = $home . "/cf";
# A file whose contents should be prepended before the job. Should start with the "#!" line.
our $job_prolog = $cf_dir . '/prolog';